> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Folder Locks resources

Folder locks define access restrictions placed by folder owners to prevent specific folders from being moved or deleted.

## Folder Lock

Folder locks define access restrictions placed by folder owners to prevent specific folders from being moved or deleted.

<Accordion title="Attributes and example">
  | Property            | Type                                                      | Required | Description                                                                                                                                        |
  | ------------------- | --------------------------------------------------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `folder`            | [Folder (Mini)](/reference/folders-resources#folder-mini) | No       | The folder that the lock applies to.                                                                                                               |
  | `id`                | `string`                                                  | No       | The unique identifier for this folder lock.                                                                                                        |
  | `type`              | `string`                                                  | No       | The object type, always `folder_lock`.                                                                                                             |
  | `created_by`        | [User (Base)](/reference/users-resources#user-base)       | No       | The user or group that created the lock.                                                                                                           |
  | `created_at`        | `string`                                                  | No       | When the folder lock object was created.                                                                                                           |
  | `locked_operations` | `object`                                                  | No       | The operations that have been locked. Currently the `move` and `delete` operations cannot be locked separately, and both need to be set to `true`. |
  | `lock_type`         | `string`                                                  | No       | The lock type, always `freeze`.                                                                                                                    |

  ```json Example theme={null}
  {
    "folder": {
      "id": "12345",
      "etag": "1",
      "type": "folder",
      "sequence_id": "3",
      "name": "Contracts"
    },
    "id": "12345678",
    "type": "folder_lock",
    "created_by": {
      "id": "11446498",
      "type": "user"
    },
    "created_at": "2020-09-14T23:12:53Z",
    "locked_operations": {
      "move": true,
      "delete": true
    },
    "lock_type": "freeze"
  }
  ```
</Accordion>

## Folder Locks

A list of folder locks.

<Accordion title="Attributes and example">
  | Property      | Type                                 | Required | Description                                                                                                                                                                            |
  | ------------- | ------------------------------------ | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `entries`     | array of [Folder Lock](#folder-lock) | No       | A list of folder locks.                                                                                                                                                                |
  | `limit`       | `string`                             | No       | The limit that was used for these entries. This will be the same as the `limit` query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
  | `next_marker` | `string`                             | No       | The marker for the start of the next page of results. Can be `null`.                                                                                                                   |

  ```json Example theme={null}
  {
    "entries": [
      {
        "folder": {
          "id": "12345",
          "etag": "1",
          "type": "folder",
          "sequence_id": "3",
          "name": "Contracts"
        },
        "id": "12345678",
        "type": "folder_lock",
        "created_by": {
          "id": "11446498",
          "type": "user"
        },
        "created_at": "2020-09-14T23:12:53Z",
        "locked_operations": {
          "move": true,
          "delete": true
        },
        "lock_type": "freeze"
      }
    ],
    "limit": "1000",
    "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
  }
  ```
</Accordion>
